diff --git a/core/base/inc/TStyle.h b/core/base/inc/TStyle.h
index 5214d7d..8c55aaf 100644
--- a/core/base/inc/TStyle.h
+++ b/core/base/inc/TStyle.h
@@ -128,6 +128,14 @@ private:
    Float_t       fStatFontSize;      //font size in pixels for fonts with precision type 3
    Style_t       fStatStyle;         //fill area style of Stats PaveLabel
    TString       fStatFormat;        //Printing format for stats
+   TString       fStatLabelEntries;  //Label for the Entries   entry in the stat box
+   TString       fStatLabelMean;     //Label for the Mean      entry in the stat box
+   TString       fStatLabelRMS;      //Label for the RMS       entry in the stat box
+   TString       fStatLabelUnderflow;//Label for the Underflow entry in the stat box
+   TString       fStatLabelOverflow; //Label for the Overflow  entry in the stat box
+   TString       fStatLabelIntegral; //Label for the Integral  entry in the stat box
+   TString       fStatLabelSkewness; //Label for the Skewness  entry in the stat box
+   TString       fStatLabelKurtosis; //Label for the Kurtosis  entry in the stat box
    Float_t       fStatX;             //X position of top right corner of stat box
    Float_t       fStatY;             //Y position of top right corner of stat box
    Float_t       fStatW;             //width of stat box
@@ -259,6 +267,14 @@ public:
    Float_t          GetStatFontSize() const  {return fStatFontSize;}
    Style_t          GetStatStyle() const  {return fStatStyle;}
    const char      *GetStatFormat() const {return fStatFormat.Data();}
+   const char      *GetStatLabelEntries  () const {return fStatLabelEntries  .Data();}
+   const char      *GetStatLabelMean     () const {return fStatLabelMean     .Data();}
+   const char      *GetStatLabelRMS      () const {return fStatLabelRMS      .Data();}
+   const char      *GetStatLabelUnderflow() const {return fStatLabelUnderflow.Data();}
+   const char      *GetStatLabelOverflow () const {return fStatLabelOverflow .Data();}
+   const char      *GetStatLabelIntegral () const {return fStatLabelIntegral .Data();}
+   const char      *GetStatLabelSkewness () const {return fStatLabelSkewness .Data();}
+   const char      *GetStatLabelKurtosis () const {return fStatLabelKurtosis .Data();}
    Float_t          GetStatX() const     {return fStatX;}
    Float_t          GetStatY() const     {return fStatY;}
    Float_t          GetStatW() const     {return fStatW;}
@@ -377,6 +393,14 @@ public:
    void             SetStatFont(Style_t font=62) {fStatFont=font;}
    void             SetStatFontSize(Float_t size=0)  {fStatFontSize=size;}
    void             SetStatFormat(const char *format="6.4g") {fStatFormat = format;}
+   void             SetStatLabelEntries  (const char *label="Entries"  ) {fStatLabelEntries   = label;}
+   void             SetStatLabelMean     (const char *label="Mean"     ) {fStatLabelMean      = label;}
+   void             SetStatLabelRMS      (const char *label="RMS"      ) {fStatLabelRMS       = label;}
+   void             SetStatLabelUnderflow(const char *label="Underflow") {fStatLabelUnderflow = label;}
+   void             SetStatLabelOverflow (const char *label="Overflow" ) {fStatLabelOverflow  = label;}
+   void             SetStatLabelIntegral (const char *label="Integral" ) {fStatLabelIntegral  = label;}
+   void             SetStatLabelSkewness (const char *label="Skewness" ) {fStatLabelSkewness  = label;}
+   void             SetStatLabelKurtosis (const char *label="Kurtosis" ) {fStatLabelKurtosis  = label;}
    void             SetStatX(Float_t x=0)    {fStatX=x;}
    void             SetStatY(Float_t y=0)    {fStatY=y;}
    void             SetStatW(Float_t w=0.19) {fStatW=w;}
